package dev.adriankuta.pixabay.data.network

import dev.adriankuta.pixabay.data.dto.response.SearchPixabayImagesResponse

internal interface PixabayService {

    suspend fun searchImages(
        query: String,
        page: Int,
        pageSize: Int
    ): SearchPixabayImagesResponse

    suspend fun searchImageById(
        id: String,
    ): SearchPixabayImagesResponse
}